2 xychinachengdu XYChinaChengdu 于 2016.04.16 17:51 提问

用Cocoapods导入的ReactiveCocoa与AFNetworking3.0.4冲突 30C
ios

图片说明

用Cocoapods导入的ReactiveCocoa与MJRefresh冲突,造成MJRefresh里面一些类报错

4个回答

oyljerry
oyljerry   Ds   Rxr 2016.04.16 21:54

有重复定义 需要这两个库修改一下或者不用其中一个

XYChinaChengdu
XYChinaChengdu 两个都要用,应该怎么修改呢
2 年多之前 回复
hi_chen_xingwang
hi_chen_xingwang   Rxr 2016.04.16 23:05

尝试使用AFN低版本的试试

XYChinaChengdu
XYChinaChengdu 我说错了
2 年多之前 回复
XYChinaChengdu
XYChinaChengdu 我说错了
2 年多之前 回复
hi_chen_xingwang
hi_chen_xingwang   Rxr 2016.04.18 09:30

不使用cocoapods 自动导入MJRefresh,github上手动下载,添加到工程中去,看到哪个重复定义删除哪个,编译试试

CSDNXIAOD
CSDNXIAOD   2016.04.22 20:30

AFNetworking 3.0.4
----------------------biu~biu~biu~~~在下问答机器人小D,这是我依靠自己的聪明才智给出的答案,如果不正确,你来咬我啊!

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
关于CocoaPods使用ReactiveCocoa遇到的问题
最近有兴趣研究一下ReactiveCocoa,集成的时候就遇到了问题,分享一下:xcode8.x建的oc项目然后使用cocoapods集成ReactiveCocoa 1、podfile的文件内容(使用pod init)就可以创建一个podfile的文件 在文件中添加一下内容,就可以下载最新的啦 pod 'ReactiveCocoa' use_frameworks!2、集成之后出现了一
Cocoapods导入ReactiveCocoa5.0以上版本注意事项
ReactiveCocoa发布了重大的更新,所以如果想使用最新版本的框架,我们需要注意一下问题。 1.如果你只是纯 swift 项目,你继续使用 ReactiveCocoa 。但是 RAC 依赖于 ReactiveSwift ,等于你引入了两个库。这种情况下的podfile的文件如下: use_frameworks! target 'Target名称' do pod 'ReactiveCo
iOS 使用cocoapods导入ReactiveCocoa和ReactiveObjC框架
cocoapods使用ReactiveObjC -- 对应的是RAC的OC版本,最新3.1.0版本。ReactiveCocoa--对应的是RAC的swift版本,最新7.1.0版本。1.纯OC项目只需要引入ReactiveObjC,podfile文件如下platform :ios , "8.0" use_frameworks! target "RACTest" do pod 'ReactiveO...
ReactiveCocoa框架菜鸟入门(一)——CocoaPods添加ReactiveCocoa
CocoaPods简介CocoaPods是一个用来帮助管理第三方依赖库的工具,可以解决库与库之间的依赖关系、下载源代码、通过建立一个Xcode的workspace将第三方库与自己的项目链接起来。安装CocoaPods1.设置淘宝的ruby镜像$ gem sources --remove https://rubygems.org/ //等有反应之后再敲入以下命令 $ gem sources -a ht
IOS工程用Cocoapods导入ReactiveCocoa后,与MJRefresh冲突。
IOS工程用Cocoapods导入ReactiveCocoa后,与MJRefresh冲突。造成MJRefresh里面一些类报错。。。有谁遇到过这个问题吗???
解决ReactiveCocoa框架导入Xcode8的报错
ReactiveCocoa最近有了一些大的改动,但是在导入Xcode8的时候,因为Swift2.3与Swift3.0的关系,往往大家导入后,无法成功编译程序。在这里,我带领大家,解决这个问题。 1 、用cocoapods导入 创建Podfile文件,文件内容如下: use_frameworks! target '这里填写Target的名称' do pod 'ReactiveCocoa', '
iOS调试——cocoa pods 添加ReactiveCocoa报错swift版本处理办法
不用设置swift版本 ,可以只修改这里
ReactiveCocoa 导入工程以及简单使用
这段时间好多人问ReactiveCocoa怎么导入工程,怎么使用啊? ReactiveCocoa结合了几种编程风格: 函数式编程(Functional Programming):使用高阶函数,例如函数用其他函数作为参数。 响应式编程(Reactive Programming):关注于数据流和变化传播。 使用ReactiveCocoa可以使代码更加的高聚合,低耦合
iOS之ReactiveCocoa简介和使用(一)
1.ReactiveCocoa简介ReactiveCocoa(简称为RAC),是由Github开源的一个应用于iOS和OS开发的新框架,Cocoa是苹果整套框架的简称,因此很多苹果框架喜欢以Cocoa结尾。2.ReactiveCocoa作用 在我们iOS开发过程中,当某些事件响应的时候,需要处理某些业务逻辑,这些事件都用不同的方式来处理。 比如按钮的点击使用action,ScrollView滚动使用
CocoaPods集成ReactiveCocoa
1、首先进行工程目录 :cd + 拖拽工程文件夹 2、创建podfile文件 (1)在终端输入:pod search ReactiveCocoa查找版本 (2) 在中的输入:vim podfile platform :ios,'8.0' pod 'ReactiveCocoa', '~> 4.0.4-alpha-1'3、输入pod install --verbose --no